Name:           python-django-ajax-selects
Version:        2.2.0
Release:        %mkrel 3
Summary:        jQuery-powered auto-complete fields for ForeignKey and ManyToMany fields
Group:          Development/Python
License:        MIT and GPLv3
URL:            https://pypi.org/project/django-ajax-selects
Source:         https://pypi.io/packages/source/d/django-ajax-selects/django-ajax-selects-%{version}.tar.gz
BuildArch:      noarch

%description
Edit ForeignKey, ManyToManyField and CharField in Django Admin using
jQuery UI AutoComplete.

%package -n python3-django-ajax-selects
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django
%{?python_provide:%python_provide python3-django-ajax-selects}

%description -n python3-django-ajax-selects
Edit ForeignKey, ManyToManyField and CharField in Django Admin using
jQuery UI AutoComplete.

%prep
%setup -q -n django-ajax-selects-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ajax_select

%files -n python3-django-ajax-selects -f %{pyproject_files}
%doc ajax_select/LICENSE.txt



%changelog
* Sun Mar 02 2025 wally <wally> 2.2.0-3.mga10
+ Revision: 2158107
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 2.2.0-2.mga10
+ Revision: 2035807
- rebuild for python 3.12

* Tue Sep 06 2022 neoclust <neoclust> 2.2.0-1.mga9
+ Revision: 1884630
- New version

* Wed Mar 23 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1823871
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.1.0-1.mga9
+ Revision: 1785394
- version 2.1.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.8.0-3.mga9
+ Revision: 1733113
- Rebuild for python 3.9

* Thu Feb 20 2020 umeabot <umeabot> 1.8.0-2.mga8
+ Revision: 1546112
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1485966
- new version: 1.8.0

* Fri Oct 11 2019 tv <tv> 1.7.1-3.mga8
+ Revision: 1451703
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.7.1-2.mga8
+ Revision: 1430927
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 1.7.1-1.mga7
+ Revision: 1352469
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.4-9.mga7
+ Revision: 1288679
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.3.4-8.mga7
+ Revision: 1135372
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.3.4-7.mga6
+ Revision: 971011
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.3.4-6.mga6
+ Revision: 888882
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-5.mga5
+ Revision: 746652
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.4-4.mga5
+ Revision: 728261
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-3.mga5
+ Revision: 687968
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3.4-2.mga5
+ Revision: 628552
- Rebuild for new Python

* Mon May 19 2014 philippem <philippem> 1.3.4-1.mga5
+ Revision: 623952
- update to 1.3.4, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 1.2.5-4.mga4
+ Revision: 543154
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.5-3.mga4
+ Revision: 498362
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.2.5-2.mga3
+ Revision: 378664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 1.2.5-1.mga3
+ Revision: 334336
- Update to 1.2.5

* Thu Jan 27 2011 ahmad <ahmad> 1.1.4-1.mga1
+ Revision: 42333
- imported package python-django-ajax-selects


* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.4-1mdv2011.0
+ Revision: 596475
- Update to 1.1.4
- Improve spec
- Correct the license tag

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0-1mdv2011.0
+ Revision: 591970
- import python-django-ajax-selects

